{$A+,B-,D+,E+,F+,G-,I-,L+,N+,O+,P-,Q-,R-,S-,T-,V-,X+,Y-}
{$M 16384,0,655360}

USES REGEXP;

const
 src = '+++++++++++++++++++123 a b c ';
 reg = '[0-9]+';
 repl = '(&)';
var
 dst, s: String;
 P: Pointer;
begin
 P := RegCompile(reg);
 if P <> Nil then
  begin
   s := RegSearch(P, src);
   WriteLn(s);
   regsub(P, repl, dst);
   WriteLn(dst);
  end;
end.